Byte (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Byte

    java.lang.Object
      java.lang.Byte

    @TransactionType(value=NOT_SUPPORTED)
    public final class Byte

extends Object

The Byte class is the standard wrapper for byte values.

Instances of the Byte class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `toString()` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

Since:
  JDK1.1, CLDC 1.0, Java Card 3.0

Field Summary
`static byte` | `MAX_VALUE` The maximum value a Byte can have.
`static byte` | `MIN_VALUE` The minimum value a Byte can have.

Constructor Summary
`Byte(byte value)` Constructs a Byte object initialized to the specified byte value.

Method Summary
`byte` | `byteValue()` Returns the value of this Byte as a byte.
`boolean` | `equals(Object obj)` Compares this object to the specified object.
`int` | `hashCode()` Returns a hashcode for this Byte.
`static byte` | `parseByte(String s)` Assuming the specified String represents a byte, returns that byte's value.
`static byte` | `parseByte(String s, int radix)` Assuming the specified String represents a byte, returns that byte's value.
`String` | `toString()` Returns a String object representing this Byte's value.
`static Byte` | `valueOf(byte b)` Returns a `Byte` instance representing the specified `byte` value.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MIN_VALUE

    public static final byte MIN_VALUE

  The minimum value a Byte can have.

  See Also:
    Constant Field Values

### MAX_VALUE

    public static final byte MAX_VALUE

  The maximum value a Byte can have.

  See Also:
    Constant Field Values

Constructor Detail

### Byte

    public Byte(byte value)

  Constructs a Byte object initialized to the specified byte value.

  Parameters:
    `value` - the initial value of the Byte

Method Detail

### parseByte

    public static byte parseByte(String s)
                          throws NumberFormatException

  Assuming the specified String represents a byte, returns that byte's value. Throws an exception if the String cannot be parsed as a byte. The radix is assumed to be 10.

  Parameters:
    `s` - the String containing the byte
  Returns:
    the parsed value of the byte
  Throws:
    `NumberFormatException` - If the string does not contain a parsable byte.

### parseByte

    public static byte parseByte(String s,
                                 int radix)
                          throws NumberFormatException

  Assuming the specified String represents a byte, returns that byte's value. Throws an exception if the String cannot be parsed as a byte.

  Parameters:
    `s` - the String containing the byte
    `radix` - the radix to be used
  Returns:
    the parsed value of the byte
  Throws:
    `NumberFormatException` - If the String does not contain a parsable byte.

### byteValue

    public byte byteValue()

  Returns the value of this Byte as a byte.

  Returns:
    the value of this Byte as a byte.

### toString

    public String toString()

  Returns a String object representing this Byte's value.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

### hashCode

    public int hashCode()

  Returns a hashcode for this Byte.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### equals

    public boolean equals(Object obj)

  Compares this object to the specified object.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the object to compare with
  Returns:
    true if the objects are the same; false otherwise.
  See Also:
    `Boolean.hashCode()`, `Hashtable`

### valueOf

    public static Byte valueOf(byte b)

  Returns a `Byte` instance representing the specified `byte` value. If a new `Byte` instance is not required, this method should generally be used in preference to the constructor `Byte(byte)`, as this method is likely to yield significantly better space and time performance by caching frequently requested values.

  Parameters:
    `b` - a byte value.
  Returns:
    a `Byte` instance representing `b`.
  Since:
    JDK 1.5, Java Card 3.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.